Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

A new Data Days event is coming soon! This time we’re going bigger than ever. Fabric, Power BI, SQL, AI and more. Don't miss out.

Reply
Uday3th1rr
Frequent Visitor

Rest API

Can we create Custom Column and Parameter through API and push it into power bi Workspace??

 

I am Pushing Data through API by creating Tables and Measures, I Also need to create custom Column and Parameter in this API? can sombody pls help??

 

API : 

Push Datasets - Datasets PostDatasetInGroup

POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets

1 REPLY 1
ichavarria
Solution Specialist
Solution Specialist

Hi @Uday3th1rr,

 

Yes, you can create custom columns and parameters in Power BI through its API. Here are the steps to follow:

 

  1. Create a dataset using the API endpoint you mentioned, i.e., POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets.

  2. Once the dataset is created, you can create a table in it using the POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/tables API endpoint.

  3. After creating a table, you can add a custom column to it using the POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/tables/{tableId}/columns API endpoint. Provide the column name, formula, data type, and any other relevant information in the request body.

  4. Similarly, you can create a parameter using the POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/parameters API endpoint. Provide the parameter name, data type, and default value in the request body.

  5. Finally, push the data into the dataset by creating measures or adding rows to the table.

 

Note that you need to have the necessary permissions and authentication to create custom columns and parameters in Power BI through its API.

 

 

Best regards, 

Isaac Chavarria

If this post helps, then please consider Accepting it as the solution and giving Kudos to help the other members find it more quickly

Helpful resources

Announcements
May Power BI Update Carousel

Power BI Monthly Update - May 2026

Check out the May 2026 Power BI update to learn about new features.

Fabric SQL PBI Data Days

Data Days 2026 coming soon!

Sign up to receive a private message when registration opens and key events begin.

New to Fabric survey Carousel

New to Fabric Survey

If you have recently started exploring Fabric, we'd love to hear how it's going. Your feedback can help with product improvements.

Power BI DataViz World Championships carousel

Power BI DataViz World Championships - June 2026

A new Power BI DataViz World Championship is coming this June! Don't miss out on submitting your entry.